Subject: Re: [bug#47789] [PATCH 1/6] gnu: Add java-gson-2.8.6.

From: Mike Gerwitz <[email-masked]>
Date: Thu, 15 Apr 2021 20:27:38 -0400

On Thu, Apr 15, 2021 at 06:46:21 -0400, Julien Lepiller wrote:
> I think it would be easier to inherit from the existing package,
> right?

Thanks; a missed refactoring.  I'll send an updated patch.

> do you need this package at all? I know that mixing JDKs can result in
> errors if you use a dependency that was built with a more recent JDK that
> what you use for a package, but the other way around should be fine, no?

I suspect it'd be fine, but tla2tools uses what I assume is a new method
that wasn't in the previous API.

> What error do you get if you use the existing package?

--8<---------------cut here---------------start------------->8---
  [javac] /tmp/guix-build-tla2tools-1.8.0.drv-0/tla2tools-1.8.0-checkout/tlatools/org.lamport.tlatools/src/tlc2/module/Json.java:116: error: cannot find symbol
  [javac]         JsonElement node = JsonParser.parseString(line);
  [javac]                                      ^
--8<---------------cut here---------------end--------------->8---

-- 
Mike Gerwitz